Package io.dapr.client.domain

# Class BulkSubscribeMessageEntry<T>

java.lang.Object
io.dapr.client.domain.BulkSubscribeMessageEntry<T>

Type Parameters:
  `T` - Type of event.

public final class BulkSubscribeMessageEntry<T> extends Object
Represents a single event from a `BulkSubscribeMessage`.

## Constructor Summary

Constructors
Constructor
Description
`BulkSubscribeMessageEntry(String entryId, T event, String contentType, Map<String,String> metadata)`
Instantiate a BulkPubSubMessageEntry.

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentType()`
`String`
`getEntryId()`
`T`
`getEvent()`
`Map<String,String>`
`getMetadata()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkSubscribeMessageEntry

public BulkSubscribeMessageEntry(String entryId, T event, String contentType, Map<String,String> metadata)
Instantiate a BulkPubSubMessageEntry.

Parameters:
  `entryId` - unique identifier for the event.
  `event` - pubSub event.
  `contentType` - content type of the event.
  `metadata` - metadata for the event.

## Method Details

### getEntryId

public String getEntryId()

### getEvent

public T getEvent()

### getContentType

public String getContentType()

### getMetadata

public Map<String,String> getMetadata()